TAAS - Feature #222

DSR Summary
07/09/2023 03:20 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Amal Ck % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: DSR Summary

Description

Coding DSR Summary

History

#1 - 07/13/2023 12:30 PM - Anil KV

Solutions

GUI Change

— Exclude Items (The changed all sale and refund data included

Against Sold(Main)

Against Sale

Against Refund (Main)

Against Refund

Document Reversal (Main)

Document Reversal

Inter Branch Sale (Main)

Inter Branch Sale

Inter Branch Refund(Main)

Inter Branch Refund

1) Sales/Refund SQL

SELECT doc.pk_documents_id,
mofsm.sin_mod_of_sale_type,
spd.pk_supp_doc_no_id,
spd. fk_service_id,
spd.dat_issue,
spd.dat_sale,
spd.sin_alpo,
spd.arb_fk_region_ids,
spdf.dbl_published_fare,
spdf.dbl_fare,
spdf.dbl_fare_paid_agency_cc,
spdf.dbl_fare_paid_cust_cc,
spdf.dbl_fare_paid_pax_cc,
spdf.dbl_fare_shared_supplier,
spdf.dbl_fare_shared_account,
spdf.dbl_queue_tax,
spdf.dbl_queue_tax_actual_fare,
spdf.dbl_tax,
spdf.dbl_tax_paid_agency_cc,
spdf.dbl_tax_paid_cust_cc,
spdf.dbl_tax_paid_pax_cc,
spdf.dbl_tax_shared_supplier,
spdf.dbl_tax_shared_account,
spdf.dbl_commission,
spdf.dbl_commission_agency_cc,
spdf.dbl_commission_cust_cc,
spdf.dbl_commission_pax_cc,
spdf.dbl_commission_shared_supplier,
spdf.dbl_commission_shared_account,
spdf.dbl_expected_commission,
spdf.dbl_expected_commission_agency_cc,
spdf.dbl_expected_commission_cust_cc,
spdf.
FROM sal
LEFT

LEFT

dbl_expected_commission_pax_cc,
dbl_expected_commission_shared_supplier,
dbl_expected_commission_shared_account,
dbl_paid_commission_tax,
dbl_tour_commission,
dbl_expected_tour_comm,
dbl_plb_commission,
dbl_expected_plb_comm,

dbl_sup_fee,
dbl_sup_fee_paid_agency_cc,
dbl_sup_fee_paid_cust_cc,
dbl_sup_fee_paid_pax_cc,
dbl_sup_fee_shared_supplier,
dbl_sup_fee_shared_account,
dbl_sup_cc_charge,
dbl_sup_cc_charge_paid_agency_cc,
dbl_sup_cc_charge_paid_cust_cc,
dbl_sup_cc_charge_paid_pax_cc,
dbl_sup_cc_charge_shared_supplier,
dbl_sup_cc_charge_shared_account,
dbl_sup_insurance_charge,
dbl_sup_insurance_charge_paid_agency_cc,
dbl_sup_insurance_charge_paid_cust_cc,
dbl_sup_insurance_charge_paid_pax_cc,
dbl_sup_insurance_charge_shared_supplier,
dbl_sup_insurance_charge_shared_account,
dbl_adm_expect,

dbl_acm_expect,

dbl_adm,

dbl_acm,

dbl_sup_rfd_charge,
dbl_sup_rfd_charge_paid_agency_cc,
dbl_sup_rfd_charge_paid_cust_cc,
dbl_sup_rfd_charge_paid_pax_cc,
dbl_sup_rfd_charge_shared_supplier,
dbl_sup_rfd_charge_shared_account,
dbl_sup_tax,dbl_sup_tax_paid_agency_cc,
dbl_sup_tax_paid_cust_cc,
dbl_sup_tax_paid_pax_cc,
dbl_sup_tax_shared_supplier,
dbl_sup_tax_shared_account,
dbl_supplier_amount,
dbl_supplier_paid_agency_cc,
dbl_supplier_paid_cust_cc,
dbl_supplier_paid_pax_cc,
dbl_supplier_payable_shared,
dbl_expense_tax,

dbl_service_fee,

dbl_management_fee,

dbl_payback,

dbl_agent_commission,

dbl_discount,

dbl_tour_discount,

dbl_plb_discount,

dbl_cust_cc_charge,
dbl_cust_insurance_charge,
dbl_agency_rfd_charge,

dbl_cust_tax,

dbl_rounding_amount,
dbl_customer_price,
dbl_customer_paid_cust_cc,
dbl_customer_paid_pax_cc,
dbl_actual_cost,

.dbl_normal_profit,

dbl_alpo_profit,
spdf.dbl_alpo_additional_profit,
.dbl_actual_profit,
.dbl_doc_cc_charge,

.dbl_doc_discount,
.dbl_doc_extra_collection
e.tbl_mod_of_sale mofsm

JOIN sale.tbl_sale_master sm

ON mofsm.fk_sale_master_id = sm.pk_sale_master_id

JOIN document.tbl_documents doc
ON sm.fk_documents_id = doc.pk_documents_id
LEFT JOIN sale.tbl_mod_of_sale_supp_doc mofsd
ON mofsm.pk_mod_of_sale_id = mofsd.fk_mod_of_sale_id
LEFT JOIN service.tbl_supp_doc_no spd
ON mofsd. fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare spdf
ON mofsd.fk_base_fare_id = spdf.pk_supp_doc_fare_id
WHERE doc.int_sys_action_id != -1
ORDER BY spd.dat_sale

UNION ALL

*REFUND. ..

* WHERE sin_sys_refund_side_status = 4 and/or 5
== 4 = Void (From Refund GUI)
== 5 = Refund

— Basel Currency
LEFT JOIN service.tbl_supp_doc_fare spdf
ON mofsd.fk_base_fare_id = spdf.pk_supp_doc_fare_id

— Other Currency Case
LEFT JOIN service.tbl_supp_doc_fare spdf
ON mofsd.fk_cus_ledg_fare_id = spdf.pk_supp_doc_fare_id

- Ticket/Voucher Count
distinct pk_supp_doc_no_id count

— Document Count
distinct pk_documents_id

— Amount
dbl_customer_price

2) Components List - based on - 1) Sales/Refund SQL
- 0 Aount Components not show

3) Sales Flow Tab Items

Price

Supplier Credit (-)

Supplier Paid (Customer Card - UCCF) (-)
Supplier Paid(Pax Card - UCCF) (-)
Supplier Paid(Agency Card - UCCF) (-)
Payback Amount (-)

Customer Card (-)

Tax on Commission (-)

Input Tax (+)

Output Tax (-)

Supplier Sharing Difference (-)

Normal Profit

Agent Commission (-)

Expected Commission (+)

Actual Profit

—admin setting base actions:-—

*If AGENT_COMMISSION_AMOUNT_POSTING_METHOD_IN_SALE_AND_REFUND != No Posting then Subtract Agt Commsn from Norm
al Profit

*if EXPECTED_COMMISSION_POSTING_METHOD != No Posting then Add Agent Commsn to Normal Profit

4) Posting

SELECT vhr_code,
MIN (vhr_name) AS vhr_name,
MIN (vhr_display_name) AS vhr_display_name,
SUM (dbl_sale_debit) AS dbl_sale_debit,
SUM (dbl_sale_credit) AS dbl_sale_credit,
MIN (dbl_refund_debit) AS dbl_refund_debit,
MIN (dbl_refund_credit) AS dbl_refund_credit
FROM (SELECT cofa.vhr_code,
cofa.vhr_name,
cofa.vhr_display_name,
tr.dbl_ledg_cur_debit AS dbl_sale_debit,
tr.dbl_ledg_cur_credit AS dbl_sale_credit,
0.00 AS dbl_refund_debit,
0.00 AS dbl_refund_credit
FROM transaction.tbl_transaction tr
LEFT JOIN accounts.tbl_chart_of_ac cofa

ON tr.fk_main_ledger_id = cofa.pk_chart_of_ac_id
WHERE tr.vhr_sys_module_name = 'SALE'

AND tr.fk_supp_doc_no_id = ANY('{1,2,3}'::BIGINTI[])

UNION ALL

SELECT cofa.vhr_code,
cofa.vhr_name,
cofa.vhr_display_name,
0.00 AS dbl_sale_debit,
0.00 AS dbl_sale_credit,
tr.dbl_ledg_cur_debit AS dbl_refund_debit,
tr.dbl_ledg_cur_credit AS dbl_refund_credit
FROM transaction.tbl_transaction tr
LEFT JOIN accounts.tbl_chart_of_ac cofa
ON tr.fk_main_ledger_id = cofa.pk_chart_of_ac_id
WHERE tr.vhr_sys_module_name = 'REFUND'
AND tr.fk_supp_doc_no_id = ANY('{1,2,3}'::BIGINT[])) AS TMP

GROUP BY vhr_code
——AND fk_supp_doc_no_id = ANY('{1,2,3}'::BIGINT[]) -> - 1) Sales/Refund SQL items

—-—Currency based field changed
5) alpo tab case

— Count - sin_alpo_adjustment
- Alpo profit = dbl_alpo_profit + dbl_alpo_additional_profit
— Amount = dbl_customer_price

— Profit = dbl_normal_profit

#2 - 07/13/2023 07:53 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Shanto Shaji

- % Done changed from 0 to 10

#3 - 08/19/2023 02:55 PM - Shanto Shaji
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#5 - 11/15/2023 11:25 AM - Junaid M

- Assignee changed from Baseem Shan to Athul P

#6 - 01/06/2024 01:22 PM - Athul P
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 01/06/2024 05:13 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S
ISSUE FOUNDED
1.MISSING POSTING OF REFUND

2.HIDE EDIT PEN
3.CLEAR DATA WHILE CHOOSING RESET BUTTON

#8 - 01/08/2024 12:24 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#9 - 01/23/2024 10:10 AM - Junaid M
GUI CHANGES

Set Default currency as Base1

Component tab-> Correct order, Add publish fare, normal profit, actual profit
Posting Tab:- Add Coa like categorygrouping

Sales flow:- Bold Normal profit, Actual profit

#10 - 01/23/2024 10:10 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#11 - 02/01/2024 06:45 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 02/13/2024 10:00 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.CONSIDER-DEAL COMMISSION,PLB COMMISSION,DEAL DISCOUNT,INSURANCE CHARGE FARE COMPONENTS IN COMPONENTS LIST

IF ANY AMOUNT IS ADDED AND SAVED ON THESE FIELDS
(COMPONENTS ADDED THROUGH ADMIN SETTINGS)

#13 - 02/13/2024 05:24 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 02/14/2024 10:10 AM - unnikannan S
TESTING DONE

#15 - 02/14/2024 10:11 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.RE-ARRANGE THE FARE COMPONENTS LIST ON ORDER AS PER SHOWING IN VOUCHERS
#16 - 02/14/2024 02:01 PM - Athul P

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 02/16/2024 02:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE SEARCH WITH INDIVIDUAL CURRENCY (42P01: missing FROM-clause entry for table "spdf")

#18 - 02/21/2024 03:11 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 02/22/2024 11:23 AM - unnikannan S
TESTING DONE

#20 - 02/22/2024 11:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.FALSE AMOUNT IN SALES FLOW OF PAYBACK FARE COMPONENT
2.FALSE DOCUMENT COUNT IN REGION WISE TAB

#21 - 02/22/2024 03:23 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#22 - 02/22/2024 05:17 PM - unnikannan S
TESTING DONE

#23 - 09/09/2024 04:02 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Items from against sale is also getting added

#24 - 09/20/2024 03:18 PM - unnikannan S
ISSUE FOUNDED

1.Allow Act As Client,Supplier Accounts In Auto Completion Field
2.Freeze The Sub Customer Code Field After Showing Data In List
3.Clear Invalid Pax Profile Name On Focus Out

#25 - 09/21/2024 10:27 AM - Athul P

- Status changed from Reopen Bugs to New Changes

#26 - 10/02/2024 11:04 AM - Anonymous
- Assignee changed from Athul P to Amal Ck

#27 - 10/07/2024 06:17 PM - Amal Ck
- Status changed from New Changes to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 10/17/2024 06:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. Add service date with two options service date start (default) and service date end in doc date field.

#29 - 10/24/2024 06:31 PM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#30 - 11/11/2024 07:20 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#31 - 11/12/2024 02:31 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Reduce the column width of sale, refund and net in components tab.

2. In mode of payment tab reduce the column width of doc count and item count

3. Reduce the column width of doc count, item count in service, region wise, sales flow, ALPO.
4. Correct the order of the data appearing in the components tab.

#32 - 11/15/2024 11:02 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

grid width issue in multiple tab Ul (refer: #277 (5))

#33 - 11/15/2024 06:09 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. In Subcustomer Dropdown Add --> "Ref. Customer"
--> In Query compare with reference employee field in ticket/hotel/other/visa/transfer/package table

#34 - 11/19/2024 04:55 PM - Amal Ck
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#35 - 01/13/2025 06:09 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. No data showing while we search using the Fop in customer field and the customer in the drop down of sub customer field.
(DONE)2. Change customer to customer/FOP --give a blue star with title: sales actual customer/FOP..
(DONE)3. In the drop down of sub customer add sub ledger and linked customer.

#36 - 01/14/2025 01:59 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 01/14/2025 05:53 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Changes

(DONE)--> Add 'Booking Office ID " in Ticket Block - like Not Reported Sale

#38 - 01/15/2025 04:10 PM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#39 - 01/16/2025 01:11 PM - Arathy PS
- File clipboard-202501161309-ajfpc.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. All the fare components should be showing in the component tab.

DSR Summary

DocDate*~ | 17/01/2025 7/01/2025 Branch™ i - Curency” | Base1(QAR) ~

Components Mode Of Payment  Service RegionWise Posting Sales Flow ALPO

Components YT a B B o

Fare Components Sale Refund Net
Fare 330000 0.00 3300.00
Tax 3000 0.00 30.00
Commission 3000 0.00 30.00
Actual Profit 33000 0.00 330.00
Normal Profit 3000 0.00 30.00
Supplier Fee 1000 0.00 10.00

The above pic is of a sale with service fee, discount etc.. also no cost or price.

#40 - 01/16/2025 06:24 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 02/24/2025 02:02 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

(DONE)1)Not showing data when credit is ticked in sale mode
(DONE)2)Change refunding staff to cancel staff

#42 - 02/26/2025 09:41 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/05/2025 11:50 AM - Arathy PS
- File clipboard-202503051149-keg2v.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

DSR Summary

¥y
i Reset

Components ~ Mode Of Payment = Service Region Wise Posting  SalesFlow  ALPO -
& New

Mode Sale Refund Net

Doc Count Item Count Amount Doc Count Item Count Amount | Doc Count Item Count Amount

Credit 1 2 520000 0 0 000 1 2 520000

05/04/2025 8/10



#44 - 03/11/2025 08:47 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#45 - 03/24/2025 01:22 PM - Arathy PS
- File clipboard-202503241319-pwq4y.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

(FIXED)ISSUE FOUND

1. Wrong item count in service tab.

DSR Summary

Doc Date *~ = 01/01/2025 24/03/2025 Branch™ Main - Currency™ | Bage1(QAR) ~ Q Search

Service Wise Group By No Grouping v T Q B &

¥ ¥y

Components  Mode Of Payment ~ Service = Region Wise  Posting = Sales Flow  ALPO

Service Sale Refund Net

Doc Count Item Count Amount  Doc Count Item Count Amount Doc Count Item Count Amount
5A005: Other Service 5 1 613000 0 0 0.00 5 1 6130.00
SAQ03: Transfer Service 4 1 200000 0 0 000 4 1 2000.00
SAQO1:=: Air Ticket Service | 14 1 982250 0O 0 000 14 1 9822.50
SA006:: Package Service 1 1 100000 O 0 000 1 1 1000.00
SAQ02: Hotel Service 4 1 433000 O 0 0.00 4 1 4330.00

#46 - 03/24/2025 01:44 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#47 - 03/26/2025 03:23 PM - Arathy PS

- File clipboard-202503261522-f9szl.png added

- File clipboard-202503261523-aicfy.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

(FIXED)ISSUE FOUND

1. Incorrect item count in mode of payment tab.

DSR Summary

vuy

Components ~ Mode Of Payment | Service ~Region Wise Posting  Sales Flow ~ ALPO

e Of Payment T Q 2 m

Mode Sale Refund Net

Doc Count Item Count Amount  Doc Count Item Count Amount | Doc Count Item Count Amount

Credit 3 6 506000 0 0 000 6 6 506000
DSR Details

DocDate*~ | 23/03/2025

All | Ticket Hotel Visa Transfer Other Package

# | service Document No | Doc Date Ticket/Voucher
1 SA0Q1:: Air Ticket Service  INV/002 25/03/2025 1100

2 SADO1:: Air Ticket Service  INV/002#1 25/03/2025 1100

3 SA005:: Other Service INV/003 25/03/2025 05/002

4 SADO1: Air Ticket Service  INV/004 26/03/2025 1400

5 SAQQ1: Air Ticket Service  INV/005 26/03/2025 1500

6 SA0Q6: Package Service INV/005 26/03/2025 PG/001

7 SADO1:: Air Ticket Service  INV/005#1 26/03/2025 1500

#48 - 03/27/2025 09:30 AM - Amal Ck

Issue Date

25/03/2025

25/03/2025

25/03/2025

26/03/2025

26/03/2025

26/03/2025

26/03/2025

party

CUS002: ASHARAF AA..

CUS003: ASMAAN AJA...

CUS003: ASMAAN AJA...

CUS00T: ANWAR ASLA.

CUS002: ASHARAF AA..

CUS002: ASHARAF AA..

CUSO03: ASMAAN AJA...

staff

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Sector/Details
ASD/AAA

ASD/AAA

ASD/AAA

ABAJAAL

ABAJAAL

Currency”

Fare
500.00
500.00

1000.00

110000
91255

1000.00

28745

Base1(QAR)

Tax

000

000

000

000

000

000

000

T Q

Commission
000
0.00
0.00
0.00
000
000

000

Supplier Fee

clipboard-202501161309-ajfpc.png
clipboard-202503051149-keg2v.png
clipboard-202503241319-pwq4y.png
clipboard-202503261522-f9szl.png
clipboard-202503261523-aicfy.png
103 KB
72.8 KB
03/05/2025
03/24/2025
03/26/2025
Arathy PS
Arathy PS
Arathy PS
Arathy PS
Arathy PS
